## bulletml 0.0.6

=== d_cpp/Makefile ===
CXX=g++
DMD=dmd
PERL=perl
CPPFLAGS=-g
DFLAGS=-g

all: cpp_test

cpp_test: cpp.o cpp_test.o
	$(DMD) cpp_test $(CPPFLAGS) cpp.o 

cpp.o: d_cpp_interface.h cpp.cpp
	$(CXX) $(CPPFLAGS) -c cpp.cpp

cpp_test.o: cpp_inter.d cpp_test.d
	$(DMD) $(DFLAGS) -c cpp_test.d

cpp_inter.d: cpp.cpp
	$(PERL) create_d_import.pl cpp.cpp cpp_inter.d

clean:
	rm -f *.o cpp_test cpp_inter.d

=== src/tinyxml/Makefile ===
#****************************************************************************
#
# Makefil for TinyXml test.
# Lee Thomason
# www.grinninglizard.com
#
# This is a GNU make (gmake) makefile
#****************************************************************************

# DEBUG can be set to YES to include debugging info, or NO otherwise
DEBUG          := NO

# PROFILE can be set to YES to include profiling info, or NO otherwise
PROFILE        := NO

#****************************************************************************

CC     := gcc
CXX    := g++
LD     := g++
AR     := ar rc
RANLIB := ranlib

DEBUG_CFLAGS     := -Wall -Wno-unknown-pragmas -Wno-format -g -DDEBUG
RELEASE_CFLAGS   := -Wall -Wno-unknown-pragmas -Wno-format -O2

LIBS		 :=

DEBUG_CXXFLAGS   := ${DEBUG_CFLAGS} 
RELEASE_CXXFLAGS := ${RELEASE_CFLAGS}

DEBUG_LDFLAGS    := -g
RELEASE_LDFLAGS  :=

ifeq (YES, ${DEBUG})
   CFLAGS       += ${DEBUG_CFLAGS}
   CXXFLAGS     += ${DEBUG_CXXFLAGS}
   LDFLAGS      += ${DEBUG_LDFLAGS}
else
   CFLAGS       += ${RELEASE_CFLAGS}
   CXXFLAGS     += ${RELEASE_CXXFLAGS}
   LDFLAGS      += ${RELEASE_LDFLAGS}
endif

ifeq (YES, ${PROFILE})
   CFLAGS   := ${CFLAGS} -pg
   CXXFLAGS := ${CXXFLAGS} -pg
   LDFLAGS  := ${LDFLAGS} -pg
endif

#****************************************************************************
# Preprocessor directives
#****************************************************************************

ifeq (YES, ${PROFILE})
  DEFS :=
else
  DEFS :=
endif

#****************************************************************************
# Include paths
#****************************************************************************

#INCS := -I/usr/include/g++-2 -I/usr/local/include
INCS :=


#****************************************************************************
# Makefile code common to all platforms
#****************************************************************************

CFLAGS   := ${CFLAGS}   ${DEFS}
CXXFLAGS := ${CXXFLAGS} ${DEFS}

#****************************************************************************
# Targets of the build
#****************************************************************************

OUTPUT := xmltest

all: ${OUTPUT}


#****************************************************************************
# Source files
#****************************************************************************

SRCS := tinyxml.cpp tinyxmlparser.cpp xmltest.cpp tinyxmlerror.cpp

# Add on the sources for libraries
SRCS := ${SRCS}

OBJS := $(addsuffix .o,$(basename ${SRCS}))

#****************************************************************************
# Output
#****************************************************************************

${OUTPUT}: ${OBJS}
	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}

#****************************************************************************
# common rules
#****************************************************************************

# Rules for compiling source files to object files
%.o : %.cpp
	${CXX} -c ${CXXFLAGS} ${INCS} $< -o $@

%.o : %.c
	${CC} -c ${CFLAGS} ${INCS} $< -o $@

clean:
	-rm -f core ${OBJS} ${OUTPUT}

depend:
	makedepend ${INCS} ${SRCS}

distdir:

=== debian/changelog ===
bulletml (0.0.6-9) unstable; urgency=medium

  * Team upload.
  * Import on Salsa
  * Use DH sequencer
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Tue, 17 Dec 2024 16:29:24 +0100

bulletml (0.0.6-8) unstable; urgency=medium

  * Team upload.
  * d/copyright: Convert to machine-readable format.
  * Drop Vcs fields.
  * Update to debhelper compat 12.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #894047)
    + Let dh_auto_build pass cross tools to make.
    + Also pass LD along.

 -- Bastian Germann <bage@debian.org>  Mon, 29 Jan 2024 23:18:45 +0000

bulletml (0.0.6-7) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU by Jonathan Wiltshire. Thanks!
  * Apply bulletml-locale.patch and make the build reproducible.
    Thanks to Dafydd Harries for the report and patch. (Closes: #847035)
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.1.1.
  * Use https for Vcs-Browser field.
  * Remove trailing whitespace.
  * Remove debian/source/options file because xz is the default compressor now.
  * Fix Lintian warning copyright-refers-to-symlink-license.
  * Change priority from extra to optional.

 -- Markus Koschany <apo@debian.org>  Wed, 22 Nov 2017 23:13:46 +0100

bulletml (0.0.6-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++ 5 transition (see #790989)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 14 Aug 2015 18:56:13 +0100

bulletml (0.0.6-6) unstable; urgency=low

  * Cleaned up packaging
    - Switch to debhelper 9
    - Remove quilt dependency
    - Enable hardening flags
    - Provide build-arch and build-indep targets
  * Add multiarch support
  * Move bulletml specs from /usr/share/doc/bulletml to doc/libbulletml-dev
  * Upgraded Standards-Version to 3.9.4

 -- Peter De Wachter <pdewacht@gmail.com>  Mon, 01 Jul 2013 08:04:22 +0200

bulletml (0.0.6-5) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added change to fixes.patch: yyerror (in src/calc.yy) should have
    const char * as parameter, instead of char *. Closes: #646443
  * Upgraded Standards-Version from 3.8.1 to 3.9.2
  * Upgraded source package to DebSrc3
  * debian/control: Added ${misc:Depends} to libbulletml-dev

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun, 20 Nov 2011 02:39:12 +0100

bulletml (0.0.6-4) unstable; urgency=low

  * Bulletml depended on Boost just to get boost::shared_ptr. Patched it to
    use std::tr1::shared_ptr instead, so this dependency can be dropped.
    + This caused an API change (not affecting any package in Debian), so
      bumped the soname.
  * Added a watch file.
  * Bumped Standards-Version to 3.8.1.
    + debian/rules: Renamed 'configure' target to 'patch'.

 -- Peter De Wachter <pdewacht@gmail.com>  Wed, 03 Jun 2009 21:54:14 +0200

bulletml (0.0.6-3) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added libboost-dev as a dependency for libbulletml-dev.
    Closes: #443718. Closes: #444452.
  * Added DM-Upload-Allowed tag to control to allow uploads from Debian
    Maintainers.

  [ Jon Dowland ]
  * Added Homepage: control field to source stanza.

  [ Peter De Wachter ]
  * Added missing includes for GCC 4.3. Added bison as a build-dependency,
    as a parser needs to be rebuilt. Closes: #455131.
  * The XS-Vcs fields are now official, removed the prefix.

 -- Peter De Wachter <pdewacht@gmail.com>  Thu, 31 Jan 2008 21:26:01 +0100

bulletml (0.0.6-2) unstable; urgency=low

  * Install C++ header files.
  * Added documentation (debian/doc).

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 29 Aug 2007 20:03:21 +0000

bulletml (0.0.6-1) unstable; urgency=low

  * Initial release.

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 27 Aug 2007 19:48:05 +0000

=== debian/control ===
Source: bulletml
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>,
  Peter De Wachter <pdewacht@gmail.com>
Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
  bison
Rules-Requires-Root: no
Standards-Version: 4.1.1
Section: libs
Homepage: http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/index_e.html
Vcs-Git: https://salsa.debian.org/games-team/bulletml.git
Vcs-Browser: https://salsa.debian.org/games-team/bulletml

Package: libbulletml-dev
Section: libdevel
Architecture: any
Depends: libbulletml0v5 (= ${binary:Version}), ${misc:Depends}
Description: C++ library to handle BulletML easily - development files
 BulletML is the Bullet Markup Language. BulletML can describe the barrage of
 bullets in shooting games.
 .
 This package includes the files needed for the development of programs that
 use this library.

Package: libbulletml0v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libbulletml0d2
Replaces: libbulletml0d2
Multi-Arch: same
Description: C++ library to handle BulletML easily - runtime library
 BulletML is the Bullet Markup Language. BulletML can describe the barrage of
 bullets in shooting games.
 .
 There are many advantages for using BulletML:
 .
   * BulletML can describe the complicated barrage of bullets in recent
     shooting games easily
   * BulletML demo applet is available. Write BulletML document, and check it
     on this applet
   * BulletML is XML-based language. It offers data portability and reusability.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	rm -f src/calc.cpp #needs to be regenerated from src/calc.yy
	rm -f src/*.o src/*/*.o
	dh_auto_build --sourcedirectory=src -- LD='$$(CXX)' CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" libbulletml.a
	rm -f src/*.o src/*/*.o
	dh_auto_build --sourcedirectory=src -- LD='$$(CXX)' CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS) -fPIC -fpic" \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" libbulletml.so

execute_before_dh_clean:
	rm -f build-stamp
	$(MAKE) -C src clean
	rm -f src/*.so src/*.so.* src/*.o
	rm -f src/bulletml.d
	rm -f src/calc.cpp
